## dpkg-mountable 0.7

=== debian/changelog ===
dpkg-mountable (0.7) unstable frozen; urgency=low

  * This package should go into frozen, since it contains bugfixes (many
    from private email which never got as far as the bug system), and no
    (readily accessible) new code. I am also quite keen to get the
    predependency support available in case it's needed.

  * Don't give uninitialised value error if the package we failed on isn't
    defined (which appears to be the normal case).
  * Make sure we log explanatory text to the log file as well as the screen.
  * Fix the location of the autoup.sh script.
  * More detail in the root filesystem message (fixes #18597).
  * Include support for predependencies. Doesn't fix any actual submitted
    bugs (I could submit one if you like), but I consider it a bugfix, since
    otherwise dpkg-mountable would be almost unusable for upgrades from Bo
    to Hamm, where it would be very useful.
  * Disable the support for predependencies again, since I can't seem to
    get dpkg --predep-package to behave consistently. If you want to live on
    the edge, try exporting DPKG_MOUNTABLE_PREDEP_SUPPORT before running. I am
    personally happy that this is correctly disabled.
  * Upgraded standards version.
  * Fixed typo in package description (fixes #18889).

 -- Andy Mortimer <andy.mortimer@poboxes.com>  Mon, 16 Mar 1998 22:39:57 +0000

dpkg-mountable (0.6) unstable; urgency=low

  * Give a more helpful error message if dpkg dies with no error summary, as
    it seems to be happening more and more these days. With a bit of luck,
    I'll be able to gather enough information to fix it.
  * Don't assume the Packages file matches the directory structure of the
    mirror. If we can't find files, try looking in the subdirectories rather
    than straight from the root directories, and then start removing
    directories from the beginning of the filenames. (fixes #17694)
  * Set DPKG_NO_TSTP when installing, so dpkg spawns a new shell rather than
    trying to background itself, partly because it might be useful to have a
    log of that too, but mostly because I don't understand job control well
    enough to fix logcmd. Any offers would be gratefully received. (fixes
    #9217,#13544).
  * Keep a copy of the available packages file on update, and use that
    rather than dpkg's version (fixes #8054,#9375,#9932,#10845). Thanks to
    Kirk Hilliard for testing this one.

 -- Andy Mortimer <andy.mortimer@poboxes.com>  Tue,  3 Feb 1998 18:58:44 +0000

dpkg-mountable (0.5) unstable; urgency=low

  * Check for abort-* in the postinst (fixes #12576).
  * Better description of the problem and solutions for predepended-on
    packages (fixes #11997).
  * Show the problem as well as the package name, if we get an error at
    install time.
  * Make checking of MD5 checksums optional.
  * Put experimental directory first in the list by default, so packages
    already in the distribution override those in experimental. Put it last
    if you want to live at the bleeding edge!
  * Use --print-installation-architecture rather than --print-architecture
    to work out which to use: should fix #10538.

 -- Andy Mortimer <andy.mortimer@poboxes.com>  Sat, 14 Jun 1997 18:07:29 +0100

dpkg-mountable (0.4) unstable; urgency=low

  * Moved into unstable.
  * Add support for new archive structure, using the `dists' subdirectory,
    thanks to Guy Maor.
  * Pass --vardir on to dpkg subprocesses. Whoops.
  * Rewrite the config file in the postinst, to make sure we have any new
    variables, avoiding obscure problems which can be solved only be
    reconfiguring.
  * Optionally add --refuse-overwrite option to dpkg (unpack stage). This
    may break some packages, but file bugs against them and install by hand.
  * Restructured the install method, internally.

 -- Andy Mortimer <andy.mortimer@poboxes.com>  Tue, 11 Feb 1997 11:42:26 +0000

dpkg-mountable (0.3) experimental; urgency=low

  * Check MD5 checksums of installed .debs from Packages file, if possible.
  * Easier interface to manual path selection.
  * Parse error list from dpkg, and continue as far as we can with those
    packages which are still OK.
  * Corrected argument order problem in /etc/cron.weekly causing suprious
    4.0 and -c.0 files in /var/log, and added lines to postinst to delete
    them if present.

 -- Andy Mortimer <andy.mortimer@poboxes.com>  Sun, 9 Feb 1997 11:40:50 +0000

dpkg-mountable (0.2) experimental; urgency=low

  * Ooops. Now finds gzipped Packages files, thanks to Dirk Eddelbuettel.

  * Corrected automatic use of binary-i386 directories, rather than the
    correct one for the current architecture.

 -- Andy Mortimer <andy.mortimer@poboxes.com>  Sat, 8 Feb 1997 17:05:55 +0000

dpkg-mountable (0.1) experimental; urgency=low

  * Initial revision.

 -- Andy Mortimer <andy.mortimer@poboxes.com>  Mon, 27 Jan 1997 21:26:39 +0000
