=== debian/control ===
Source: dpkg-mountable
Maintainer: Andy Mortimer <andy.mortimer@poboxes.com>
Section: admin
Priority: extra
Standards-Version: 2.4.0.0

Package: dpkg-mountable
Architecture: any
Depends: ${shlibs:Depends}
Description: Enhanced access method for dselect
 dpkg-mountable adds an access method called `mountable' to dselect's list,
 which allows you to install of any filesystem specified in /etc/fstab (eg a
 normal hard disk partition, or an NFS server), which it will automatically
 mount and umount for you if necessary.
 .
 It also has some extra features not found in the standard dselect methods,
 such as provision for a local file tree (either parallel to the main
 distribution or totally separate), and only getting packages which are
 required, rather than the time-consuming recursive directory scan, as well as
 logging of all dpkg actions in the install method.
