## dpkg-mountable 0.8

=== debian/changelog ===
dpkg-mountable (0.8) unstable; urgency=low

  * Apply a modified version of a patch from Fleischer Gabor
    <flocsy@central.mtesz.hu> to fix the behaviour when the root filesystem
    is a symlink.
  * Re-enabled predependency processing, with a couple of small mods.
  * In updated-packages, sort first by priority and then by name, rather
    than just by name. This should be a much more logical order, given that
    no package may depend on one with a lower priority.
  * Added capability to search for packages which are already installed
    correctly on the system to updated-packages, and moved updated-packages
    to /usr/sbin to reflect this. Added README.old-pkgs explaining use.

 -- Andy Mortimer <andy.mortimer@poboxes.com>  Tue, 12 May 1998 22:24:59 +0100
