=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 Package: dpkg-mountable
 Architecture: any
-Depends: ${shlibs:Depends}
+depends: ${shlibs:Depends}
 Description: Enhanced access method for dselect
  dpkg-mountable adds an access method called `mountable' to dselect's list,
  which allows you to install of any filesystem specified in /etc/fstab (eg a
