=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,8 @@
 package=dpkg-mountable
 install:=/usr/bin/install
 
+export DH_VERBOSE=yes
+
 build:	logcmd.c
 	$(checkdir)
 	gcc -O2 -g -Wall -I/usr/include/bsd logcmd.c -o logcmd -lutil -lbsd-compat
@@ -20,15 +22,30 @@
 binary-arch:	checkroot build
 	$(checkdir)
 	-rm -rf debian/tmp
-	$(install) -d debian/tmp/usr/doc/$(package)
 	$(install) -d debian/tmp/usr/lib/dpkg/methods/mountable
-	$(install) updated-packages install setup update debian/tmp/usr/lib/dpkg/methods/mountable
+	for f in install setup update; do \
+	  sed 's/^use \(strict\|diagnostics\);/#&/' $$f > $$f.new; \
+	  $(install) $$f.new debian/tmp/usr/lib/dpkg/methods/mountable/$$f; \
+	done
+	$(install) -d debian/tmp/usr/sbin
+	$(install) updated-packages debian/tmp/usr/sbin
+	for f in updated-packages; do \
+	  sed 's/^use \(strict\|diagnostics\);/#&/' $$f > $$f.new; \
+	  $(install) $$f.new debian/tmp/usr/sbin/$$f; \
+	done
 	$(install) -s logcmd debian/tmp/usr/lib/dpkg/methods/mountable
 	$(install) -m 644 names desc.mountable generic debian/tmp/usr/lib/dpkg/methods/mountable
 	$(install) -d debian/tmp/var/lib/dpkg/methods/mountable
-	debstd
-	dpkg-gencontrol
-	dpkg --build debian/tmp ..
+	dh_installdocs TODO README.old-pkgs
+	dh_installcron
+	dh_installchangelogs
+	dh_strip
+	dh_compress
+	dh_fixperms
+	dh_installdeb
+	dh_shlibdeps
+	dh_gencontrol
+	dh_builddeb
 
 binary-indep:	checkroot build
 	$(checkdir)
